test.sh in conjur-cli-5.6.5 vs test.sh in conjur-cli-5.6.6
- old
+ new
@@ -10,9 +10,12 @@
# Clones 'Dockerfile' and updates the Ruby version in FROM, returning the cloned file's path
function dockerfile_path {
echo "Setting Ruby version as ${RUBY_VERSION}" >&2
cp "Dockerfile" "Dockerfile.${RUBY_VERSION}"
+ if ! grep "Dockerfile.${RUBY_VERSION}" .git/info/exclude >/dev/null; then
+ echo "Dockerfile.${RUBY_VERSION}*" >>.git/info/exclude
+ fi
sed -i -e "s/${RUBY_VERSION_DEFAULT}/${RUBY_VERSION}/g" Dockerfile.${RUBY_VERSION}
echo "Dockerfile.${RUBY_VERSION}"
}